<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");
include("logos.php");


unset($titulos);
unset($query_expor);
unset($nom_xls);
$fecha1 = $_GET['f1'];
$fecha2 = $_GET['f2'];
$v_mysql = conn_mysql();

$nombrepagina = "REPORTE DE DEVOLUCIONES POR FECHA DEVOLUCION";
encabezado($target);
//$nombre_u=$nombre_usuario;
//$pass=$password;
$user = $_SESSION['validar'];
$sucur = $_GET['suc'];
//entrada($user,$_GET['id_user'],$_GET['suc']);
$tamano_pagina = 20;
$_SESSION['tam'] = $tamano_pagina;
$pagina = $_GET["pagina"];
if (!$pagina) {
    $inicio = 0;
    $_SESSION['inicio'] = $inicio;
    $pagina = 1;
} else {
    $inicio = ($pagina - 1) * $tamano_pagina;
    $_SESSION['inicio'] = $inicio;
}
$filas = 1;
if ($filas == 1) {

    //$conn=mysql_connect("localhost", "root", "1234");
    //menu($id_user);
    class llamado {

        var $menuObj;

        //var
        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    //echo"<br><br>";
    mostrar_cabeza_trabajo($nombrepagina);

    $sql_registros = "SELECT id_conse FROM guias_proceso as t inner join rastreo_guias as r on t.guia=r.guia ";

    if ($_SESSION['perfil'] == 1) {
        $add = "WHERE t.id_estado = '16' AND t.id_devolucion > '0' and (date(r.f16) BETWEEN '$fecha1' and '$fecha2')";
    } else {
        $add = "WHERE t.id_sucursal='$sucur' AND t.id_estado = '16' AND t.id_devolucion > '0' and (date(r.f16) BETWEEN '$fecha1' and '$fecha2')";
    }

    $sql_registros = $sql_registros . $add;
    $rst_select_lotes = mysql_query($sql_registros, $v_mysql) or die("Error Mysql: " . mysql_error());
    $filas = mysql_num_rows($rst_select_lotes);
    $var_total_registros = $filas;
    $total_paginas = ceil($filas / $tamano_pagina);

    $titulos[] = "GUIA";
    $titulos[] = "ORDEN";
    $titulos[] = "FECHA CARGUE";
    $titulos[] = "DESTINATARIO";
    $titulos[] = "DIRECCION";
    $titulos[] = "MENSAJERO";
    $titulos[] = "FECHA DEVOLUCION";
    $titulos[] = "MOTIVO DEVOLUCION";
    $titulos[] = "CIUDAD";



    $query_expor = "SELECT trim(t.guia),trim(t.orden),fecha_cargue,trim(t.destinatario),trim(t.direccion),m.nombre as mensajero,r.f16 as fecha_devolucion,
  e.nombre as devolucion,trim(t.ciudad) FROM guias_proceso as t inner join rastreo_guias as r on t.guia=r.guia inner join devoluciones as e on t.id_devolucion=e.id_devolucion" .
            " inner join mensajeros as m on t.id_mensajero=m.id_mensajero " . $add;

    $_SESSION['header'] = 'GUIA;ORDEN;FECHA CARGUE;DESTINATARIO;DIRECCION;MENSAJERO;FECHA DEVOLUCION;MOTIVO DEVOLUCION;CIUDAD';
    $_SESSION['campos_consulta'] = "trim(t.guia) as guia,trim(t.orden) as orden,fecha_cargue,trim(t.destinatario) as destinatario,trim(t.direccion) as direccion,m.nombre as mensajero,r.f16 as fecha_devolucion,
  e.nombre as devolucion,trim(t.ciudad)as ciudad ";
    $_SESSION['sadd1'] = "as t inner join rastreo_guias as r on t.guia=r.guia inner join devoluciones as e on t.id_devolucion=e.id_devolucion" .
            " inner join mensajeros as m on t.id_mensajero=m.id_mensajero " . $add;
    ?>
    <form action="" method="get" name="backup">
        <CENTER>
            <table width="710" border="0" class="primaria">

                <tr class=miTable_tr>
                    <!--<td colspan="11" class=miTable_td><a href='xls_alfa.php'>Exportar a Excel <img src='imagenes/xls_icon.gif'/></a></td>-->
    <? $nombcsv = 'DevolucionesFechaDevolucion_' . "_" . date('Ymd'); ?>
                <a href='export_csv_query.php?nomcsv=<? echo $nombcsv; ?>&registro=2&estado=T&dev=8' title='Exportar CSV'>Exportar Csv<img src='imagenes/txt_icon.gif'></a>
                </tr>

                <tr class=miTable_tr>
                    <td colspan="11" class=miTable_th1>Cantidad de registros encontrados: <? print $var_total_registros; ?></td>
                </tr>



                <tr class="miTable_tr">
                    <td valign=top class=miTable_th1 width="70"><div align="center"><? echo $Tguia ?></div></td>
                    <td valign=top class=miTable_th1 width='65'><? echo $Trastreo ?> </td>
                    <td valign=top class=miTable_th1 width="50"><? echo $Torden ?></td>
                    <td valign=top class=miTable_th1 width="150"><div align="center">FECHA CARGUE</div></td>
                    <td valign=top class=miTable_th1 width="150"><div align="center">DESTINATARIO</div></td>
                    <td valign=top class=miTable_th1 width="150"><div align="center">DIRECCION</div></td>
                    <td valign=top class=miTable_th1 width="50">MENSAJERO</td>
                    <td valign=top class=miTable_th1 width="150"><div align="center">FECHA DEVOLUCION</div></td>
                    <td valign=top class=miTable_th1 width="50"><div align="center">MOTIVO DEVOLUCION</div></td>
                    <td valign=top class=miTable_th1 width="50"><div align="center">CIUDAD</div></td>

    <?
//                    if (!empty($Tespecial1)) {
//                        echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial1 . "</td>";
//                    }
//                    if (!empty($Tespecial2)) {
//                        echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial2 . "</td>";
//                    }
//                    if (!empty($Tespecial3)) {
//                        echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial3 . "</td>";
//                    }
//                    if (!empty($Tespecial4)) {
//                        echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial4 . "</td>";
//                    }                    
    echo "</tr>";

    class elimina {

        var $userObj;

        function eliminar($tabla, $fe1, $fe2) {
            $tamano_pagina = $_SESSION['tam'];
            $inicio = $_SESSION['inicio'];
            $this->userObj = new consultas_mysql();
            $this->userObj->registros_devolucion_fecha($inicio, $tamano_pagina, $_GET['id_user'], $_GET['suc'], $tabla, $fe1, $fe2, 2);
        }

    }

    $eliminaObj = new elimina();
    $eliminaObj->eliminar($tabla, $fecha1, $fecha2);
    ?>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_td colspan="9">
                        <div align="center">
    <?
    $id_user = $_GET['id_user'];
    $id_sucursal = $_GET['suc'];
    if ($total_paginas > 1) {
        echo "Paginas:";
        //echo "&nbsp;&nbsp;"; 
        $start = ( $pagina - 5 > 0 ? $pagina - 5 : 1 );
        if ($start > 1) {
            print "&nbsp;<a href=eje_cons_devo_fec_d.php?pagina=" . ($start - 1) . "&id_user=$id_user&suc=$id_sucursal&f1=$fecha1&f2=$fecha2&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'> << </A>";
        }
        for ($i = 0; $i < 10 && $total_paginas >= $start + $i; $i++) {
            if ($pagina == $start + $i) {
                print "&nbsp;&nbsp;" . ($start + $i);
            } else {
                print "&nbsp;&nbsp;<a href='eje_cons_devo_fec_d.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&f1=$fecha1&f2=$fecha2&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'>" . ($start + $i) . " </A>";
            }
        }
        if ($start + $i < $total_paginas) {
            print "&nbsp;&nbsp;<a href='eje_cons_devo_fec_d.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&f1=$fecha1&f2=$fecha2&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'> >> </A>";
        }
        print "&nbsp;<a href=eje_cons_devo_fec_d.php?pagina=1&id_user=$id_user&suc=$id_sucursal&f1=$fecha1&f2=$fecha2&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'>Primera P&aacute;gina</A>";
        print "&nbsp;<a href=eje_cons_devo_fec_d.php?pagina=" . ($total_paginas) . "&id_user=$id_user&suc=$id_sucursal&f1=$fecha1&f2=$fecha2&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'>&Uacute;ltima P&aacute;gina</A>";
    }
    ?>
                        </div></td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="10">
                        <DIV align="center">
                            Ir a la pagina
                            <input type='text' name='pagina' value='' size="5" class="inputbox">
                            <input type='hidden' name='id_user' value='<? echo $id_user ?>'>
                            <input type='hidden' name='suc' value='<? echo $id_sucursal ?>'>
                            <input type='hidden' name='f1' value='<? echo $fecha1 ?>'>
                            <input type='hidden' name='f2' value='<? echo $fecha2 ?>'>
                            <input type='hidden' name='tabla' value='<? echo $tabla ?>'>
                            <input type='hidden' name='est' value='<? echo $est ?>'>
                            <input type='hidden' name='dev' value='<? echo $dev ?>'>
                            <input type='hidden' name='nomest' value='<? echo $nomest ?>'>
                            <input type='submit' name='' value='Ir' class="inputbox">
                        </DIV></td>
                </tr>
            </table>
            <a href="cons_devo_fecha_d.php?id_user=<? echo $_GET['id_user']; ?>&suc=<? echo $_GET['suc']; ?>&tabla=<? echo $tabla; ?>" class="mainlevel"><b>REGRESAR</b></a>
        </CENTER>

    <?
    mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
    <td>
    <center>
    <? pie_de_pagina(); ?>
    </center>
</td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";

        echo"</center>";
        echo"</body>";
        echo"</html>";
        ?>
</CENTER>
</form>